### Enumeration

# AppStream RelationItemKind

#### Declaration

    enum AppStream.RelationItemKind

#### Description [src]

Type of the item an `AsRelation` is for.

#### Members

`AS_RELATION_ITEM_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_ID`

  A component ID.

  - Value: `1`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_MODALIAS`

  A hardware modalias.

  - Value: `2`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_KERNEL`

  An operating system kernel (like Linux).

  - Value: `3`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_MEMORY`

  A system RAM requirement.

  - Value: `4`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_FIRMWARE`

  A device firmware requirement (used by fwupd).

  - Value: `5`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_CONTROL`

  An input method for users to control software.

  - Value: `6`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_DISPLAY_LENGTH`

  Display edge length.

  - Value: `7`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_HARDWARE`

  A Computer Hardware ID (CHID) to depend on system hardware.

  - Value: `8`
  - Available since: 1.0
`AS_RELATION_ITEM_KIND_INTERNET`

  Internet connectivity (Since: 0.15.5).

  - Value: `9`
  - Available since: 1.0

#### Type functions

###### as_relation_item_kind_from_string

Converts the text representation to an enumerated value.

since: 0.12.0

###### as_relation_item_kind_to_string

Converts the enumerated value to a text representation.

since: 0.12.0